Description

Requesting the ability to boot to gPXE without the need of an IP. Two reasons for this feature. One, this feature would allow booting

to tools such as PartedMagic, MemTest86, Offline NT Password & Registry Editor, and so on. The intention is to be allowed to boot

to the tools without needing an IP. Two, DHCP cannot be used in certain enviroments, and currently in order to boot to a newly

created host through Foreman, gPXE boot IP must be set to the static IP, followed by the "kernel" command, and finally the "boot"

command. In my current gPXE enviroment, which I am working on replacing with Foreman, we currently use the same kickstart file

for many hosts. Through a web interface we change the static IP and hostname and afterwards boot to the generated kickstart file.

This leads to each host booting in a time-frame when multiple servers are being built but has not really been an issue.

I strongly feel that this would benefit Foreman to have the option to disable the need for an IP. There are valid reasons that support

the option.

History

#1 - 09/05/2012 04:05 AM - Ohad Levy

I agree, one question.

How would you identify the system that boots up?

#2 - 09/08/2012 04:47 AM - Franklin Reyes

To keep the unattended aspect, either one machine would be allowed to boot at a time to foreman/unattended, or limit the number of systems capable

of booting to foreman/unattended while using a simple marker in the address (foreman/unattended?1,foreman/unattended?2,foreman/unattended?3)

and allowing systems to access foreman/unattended and being displayed a menu for the bootable tools.

Another option would be to have Foreman generate a gPXE image with the IP embedded to burn to a bootable media, and allow systems that boot

directly to foreman/unattended to view bootable tools.

#3 - 12/21/2013 12:52 AM - Anonymous

- Description updated

this got implemented via foreman_bootdisk, right?

#4 - 02/20/2014 08:30 AM - Ohad Levy

- Status changed from New to Closed

it was, closing - thanks!
